> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Minion Runs Route



## OpenAPI

````yaml /api/openapi.json get /api/minions/{minion_id}/runs
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/minions/{minion_id}/runs:
    get:
      tags:
        - minions
      summary: List Minion Runs Route
      operationId: list_minion_runs_route_api_minions__minion_id__runs_get
      parameters:
        - name: minion_id
          in: path
          required: true
          schema:
            type: string
            title: Minion Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 20
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MinionRunsOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MinionRunsOut:
      properties:
        minion_id:
          type: string
          title: Minion Id
        total:
          type: integer
          title: Total
        runs:
          items:
            $ref: '#/components/schemas/MinionRunSummary'
          type: array
          title: Runs
      type: object
      required:
        - minion_id
        - total
        - runs
      title: MinionRunsOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MinionRunSummary:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        jid:
          type: string
          title: Jid
        fun:
          type: string
          title: Fun
        completed_at:
          type: string
          format: date-time
          title: Completed At
        pass_count:
          type: integer
          title: Pass Count
        fail_count:
          type: integer
          title: Fail Count
        change_count:
          type: integer
          title: Change Count
        total_count:
          type: integer
          title: Total Count
        duration_ms:
          type: integer
          title: Duration Ms
        blocked:
          type: boolean
          title: Blocked
        status:
          type: string
          enum:
            - healthy
            - changed
            - unhealthy
            - blocked
          title: Status
      type: object
      required:
        - id
        - jid
        - fun
        - completed_at
        - pass_count
        - fail_count
        - change_count
        - total_count
        - duration_ms
        - blocked
        - status
      title: MinionRunSummary
      description: One row in the per-minion recent-runs table.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````